
Foreman - Bug #562

rake task of import of classes and environments in batch mode does not work reliably

01/03/2011 02:34 PM - Marcello de Sousa

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Importers   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When running the rake task to import classes and environments in batch mode (without the prompt), you might get errors.

Related issues:

Related to Foreman - Bug #1159: Class import behaviour not consistent "rake p... Closed 09/07/2011

Associated revisions

Revision ed4c48b0 - 01/20/2011 04:33 AM - Ohad Levy

fixes 562 - rake task of import of classes and environments in batch mode does not work reliably

History

#1 - 01/03/2011 02:43 PM - Ohad Levy

- File patch.diff added

#2 - 01/03/2011 02:49 PM - Marcello de Sousa

Just to make sure, the command used is:

RAILS_ENV=production /usr/bin/rake puppet:import:puppet_classes[batch]

 And now I get the output:

Scheduled changes to your environment

New      environments  :

Obsolete environments  : myoldenvironment..

New      puppetclasses :

Obsolete puppetclasses : myoldclass...

without the prompt.

#3 - 01/20/2011 04:33 AM - Ohad Levy

- Subject changed from Fix "lib/tasks/puppet.rake" when running "rake puppet:import:puppet_classes[batch]" to rake task of import of classes and

environments in batch mode does not work reliably

#4 - 01/20/2011 05:07 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset ed4c48b00eb795fa7e3cd4d7e5a2686f2ebf3b6b.

#5 - 01/20/2011 05:08 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/ed4c48b00eb795fa7e3cd4d7e5a2686f2ebf3b6b


Files

patch.diff 1.35 KB 01/03/2011 Ohad Levy
